#ifndef _RELAY_H_
#define _RELAY_H_

#include "flow.h"
#include <stdint.h>

struct proxy_thread_data {
	flow *f;
	uint8_t server[50];
	int32_t pipefd;
};

int replace_packet(flow *f, struct packet_info *info);
int replace_contents(flow *f, int32_t offset, struct packet_info *info);
int read_header(flow *f, struct packet_info *info);
uint16_t tcp_checksum(struct packet_info *info);

void *proxy_covert_site(void *data);
#endif /* _RELAY_H_ */
