#ifndef _UTIL_H_
#define _UTIL_H_

#include <stdlib.h>

#define MAX_FRAGMENTS 10

/* Depreciated */

typedef struct fragment_st {
	u_char *data;
	u_short ip_len; /* Length of complete packet */
	u_short id; /* Length of the IPv4 ID number*/

} fragment;

typedef struct fragment_table_st {
	fragment *table;
	int len;
	int max_len;
} fragment_table;

int report_fragment(const u_char *fragment, u_char *packet, u_int length);
int init_fragment_table(void);
int add_fragment(fragment new_fragment);
void remove_fragment(int index);
int update_fragment(int index, const u_char *data, u_int length);

#endif /* _UTIL_H_ */
